import request from '@/utils/request'
// import qs from 'qs'

// 查询奖品组列表
export function luckDrawGroupList(data) {
  return request({
    url: '/api-web/luckDrawGroup/list',
    method: 'get',
    headers: {
      'content-type': 'application/x-www-form-urlencoded'
    },
    data: {},
    params: data
  })
}

// 查询奖品组列表
export function luckDrawGroupFindAll(data) {
  return request({
    url: '/api-web/luckDrawGroup/findAll',
    method: 'get',
    headers: {
      'content-type': 'application/x-www-form-urlencoded'
    },
    data: {},
    params: data
  })
}

// 添加抽奖组
export function luckDrawGroupAdd(data) {
  return request({
    url: '/api-web/luckDrawGroup/add',
    method: 'post',
    data: data
  })
}

// 编辑抽奖组
export function luckDrawGroupUpdate(data) {
  return request({
    url: '/api-web/luckDrawGroup/update',
    method: 'post',
    data: data
  })
}

// 查询奖品列表
export function luckDrawPrizeList(data) {
  return request({
    url: '/api-web/luckDrawPrize/list',
    method: 'get',
    headers: {
      'content-type': 'application/x-www-form-urlencoded'
    },
    data: {},
    params: data
  })
}

// 添加奖品
export function luckDrawPrizeAdd(data) {
  return request({
    url: '/api-web/luckDrawPrize/add',
    method: 'post',
    data: data
  })
}

// 批量新增抽奖奖品
export function luckDrawPrizeBatchAdd(data) {
  return request({
    url: '/api-web/luckDrawPrize/batchAdd',
    method: 'post',
    data: data
  })
}

// 编辑奖品
export function luckDrawPrizeUpdate(data) {
  return request({
    url: '/api-web/luckDrawPrize/update',
    method: 'post',
    data: data
  })
}

// 查询抽奖列表
export function luckDrawLogList(data) {
  return request({
    url: '/api-web/luckDrawLog/rewardlist',
    method: 'get',
    headers: {
      'content-type': 'application/x-www-form-urlencoded'
    },
    data: {},
    params: data
  })
}